<?php
class social_network_user_detection_context_condition extends context_condition {

  /**
   * Build a configuration form. Each condition needs this, it's required by Context. You can
   * leave it empty, like this one.
   */
  function condition_form($context) {
    return array('theme' => array('#type' => 'value', '#value' => TRUE));
  }

  /**
   * Configuration form submit function, also required by Context.
   */
  function condition_form_submit($values) {
    return array('theme' => 1);
  }

  /**
   * To check whether a Context condition is active, we need to check for it on every page load.
   * This function isn't called by Context automatically; we call this function later on
   * with a hook_init().
   */
  function execute() {
    $theme_page = '';
    if ($this->condition_used()) {
      // add the code for your condition below. Here I check if the page is a taxonomy page.
      // If this taxonomy term has a parent term, return true.
      if ((arg(0) == 'taxonomy') && (arg(1) == 'term')) {
        if (!taxonomy_get_parents(arg(2))) {
          $theme_page = TRUE;
        }
      }

      foreach ($this->get_contexts() as $context) {
        $if_theme = $this->fetch_from_context($context, 'values');
        if ($theme_page) {
          $this->condition_met($context);
        }
      }
    }
  }
}
